Subject: bug#74383: 29.4; Emacs PGTK crashes on Void Linux

From: Taha Aziz Ben Ali <[email-masked]>
Date: Sun, 17 Nov 2024 15:07:26 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Taha Aziz Ben Ali <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 17 Nov 2024 14:15:43 +0100
>> 
>> > Docstring says "image" is the fallback return value... Why is the
>> > mapping not being handled correctly?
>> 
>> I added the following bit of configuration to the top of my
>> early-init.el and it also made no difference.
>> 
>>   (setq tool-bar-style "text")

> Just by looking at the code, it looks like the value of tool-bar-style
> is supposed to be a symbol, not a string.  So try this instead:
>
>   (setq tool-bar-style 'text)

Yeah, I should have paid closer attention to the `EQ' there. I've
changed it now.

Unfortunately, Emacs is still crashing even with the correct symbol
value set as the very first line in early-init.el.